%define modname conferenceroom

Summary: Elastix Conference Room 
Name:    elastix-conferenceroom
Version: 0.0.0
Release: 7
License: GPL
Group:   Applications/System
Source0: %{modname}_%{version}-%{release}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: unoconv >= 0.3, ImageMagick >= 6.4.0.10, openoffice.org-headless, openoffice.org-calc, openoffice.org-impress, openoffice.org-draw, openoffice.org-graphicfilter, openoffice.org-writer
Requires(post): /usr/bin/elastix-menumerge
Requires: elastix-pbx >= 2.0.0-4
Prereq: elastix >= 2.0

%description
This module implements a conference room in which a conference host can display a document
for review by a number of guests that log on into a particular conference room. This
module also provides a document repository for relevant documents. 


%prep
%setup -n %{modname}

%install
rm -rf $RPM_BUILD_ROOT

# Files provided by all Elastix modules
mkdir -p $RPM_BUILD_ROOT/var/www/html/
mv modules/ $RPM_BUILD_ROOT/var/www/html/

# Additional (module-specific) files that can be handled by RPM
mv setup/conference.php $RPM_BUILD_ROOT/var/www/html/
#mv setup/conferencechat.php $RPM_BUILD_ROOT/var/www/html/
mv setup/themes/ $RPM_BUILD_ROOT/var/www/html/
mkdir -p $RPM_BUILD_ROOT/var/www/db/
mv setup/conferencia.db  $RPM_BUILD_ROOT/var/www/db/

# The following folder should contain all the data that is required by the installer,
# that cannot be handled by RPM.
mkdir -p $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}
mv setup/ $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv menu.xml $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/

%post

# Run installer script to fix up ACLs and add module to Elastix menus.
#elastix-menumerge /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/menu.xml

# The installer script expects to be in /tmp/new_module
mkdir -p /tmp/new_module/%{modname}
cp -r /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/* /tmp/new_module/%{modname}/
chown -R asterisk.asterisk /tmp/new_module/%{modname}

php /tmp/new_module/%{modname}/setup/installer.php
rm -rf /tmp/new_module

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, asterisk, asterisk)
%{_localstatedir}/www/html/*
%config(noreplace) %{_localstatedir}/www/db/*
/usr/share/elastix/module_installer/*

%changelog
* Tue Oct 20 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 0.0.0-7
- Fixed incorrect SQL check for web conferences which were currently active.

* Tue Oct 20 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 0.0.0-6
- Fixed botched update of conference.php in document root.

* Mon Oct 19 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 0.0.0-5
- Web conference rewritten with new look and removal of iframe.
- Integration with elastix-pbx telephone conference. Now requires elastix-pbx.

* Fri Sep 17 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 0.0.0-4
- Changed database structure to implement invited guests instead of anonymous login.
- New module "List Conferences" for administration of existing conferences.
- The "Create Conference" module is now folded within "List Conferences"
- Fixed Presentation and Document Repository appearing in main Elastix menu.
- Creation of conference may also create a parallel voice conference. Requires asterisk-addons.

* Wed Sep 02 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 0.0.0-3
- Implemented basic chat support in conference.
- Clean-up of conference template for Smarty.

* Tue Sep 01 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 0.0.0-2
- Forgot to copy menu.xml into installer folder.
- Fix several typos in temporary folder names.

* Thu Aug 20 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 0.0.0-1
- Initial version.
